#ifndef CONTROLHDMIWIDGET_H
#define CONTROLHDMIWIDGET_H

#include <QWidget>
#include <wDevicesManager/controlhdmimanual.h>
#include <wDevicesManager/controlhdmischedule.h>
#include "QStackedWidget"
#include <QButtonGroup>
namespace Ui {
class ControlHdmiWidget;
}

class ControlHdmiWidget : public QWidget
{
    Q_OBJECT

public:
    explicit ControlHdmiWidget(QWidget *parent = nullptr,QList<LedCard *> *m_pLedlist=nullptr);
    ~ControlHdmiWidget();
private:
    void init();
protected slots:
    void refreshLable();

private:
    Ui::ControlHdmiWidget *ui;
    ControlHdmiManual *m_pManual=nullptr;
    ControlHdmiSchedule *m_pSchedule=nullptr;
    QStackedWidget *m_pStackedW;
    QButtonGroup *m_buttonGroup;
    QList<LedCard *> *m_pLedlist=nullptr;

};

#endif // CONTROLHDMIWIDGET_H
