#ifndef EXPERTSMARTPOINTSETWIN_H
#define EXPERTSMARTPOINTSETWIN_H

#include "basewin.h"
#include <QSpinBox>
#include <QTableWidget>

class PointTable : public QTableWidget {
public:
    explicit PointTable(QWidget *parent = nullptr) : QTableWidget{parent} {}
    void setItem(int row, int column, QTableWidgetItem *item) {
        if(item) item->setTextAlignment(Qt::AlignCenter);
        QTableWidget::setItem(row, column, item);
    }
};

class ExpertSmartPointSetWin : public BaseWin {
    Q_OBJECT
public:
    explicit ExpertSmartPointSetWin(QWidget *parent = nullptr);

    QSpinBox *fdModuleWidth, *fdModuleHeight;
    PointTable *table;
    int moduleWidth{0}, moduleHeight{0};
    int curPoint{0};
};

#endif // EXPERTSMARTPOINTSETWIN_H
