#ifndef EXPERTWIN_H
#define EXPERTWIN_H

#include "basewin.h"

class ExpertWin : public BaseWin {
    Q_OBJECT
public:
    explicit ExpertWin(QWidget *parent = nullptr);

    int screenWidth{1280}, screenHeight{720};
    double rate{1};
signals:

};

class Canvas : public QWidget {
    Q_OBJECT
public:
    explicit Canvas(QWidget *parent = nullptr) : QWidget{parent} {}
protected:
    void resizeEvent(QResizeEvent *) override {
        emit resized();
    };

signals:
    void resized();
};
#endif // EXPERTWIN_H
